GET /api/farcaster/user/{fid}/followers
User followers
Farcaster user profile by FID or username
Endpoint​
GET https://api.web3identity.com/api/farcaster/user/{fid}/followers
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
fid | path | string | âś… | Farcaster user ID |
Example Request​
curl -s "https://api.web3identity.com/api/farcaster/user/:fid/followers" | jq
Responses​
200 Success​
{
"users": [
{
"fid": 123,
"username": "alice",
"displayName": "Alice",
"pfpUrl": "https://i.imgur.com/alice.png",
"followerCount": 1234
},
{
"fid": 456,
"username": "bob",
"displayName": "Bob",
"pfpUrl": "https://i.imgur.com/bob.png",
"followerCount": 5678
}
],
"next": {
"cursor": "eyJwYWdlIjoyfQ=="
}
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required​
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec